Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport.http
Class XFireServletController

    java.lang.Object
      org.codehaus.xfire.transport.http.XFireServletController

Direct Known Subclasses:
  XFireServletControllerAdapter

    public class XFireServletController

extends java.lang.Object

Loads XFire and processes requests.

Since:
  Feb 13, 2004
Author:
  Dan Diephouse

Field Summary
`protected Transport` | `transport`
`protected XFire` | `xfire`

Constructor Summary
`XFireServletController(XFire xfire)`

Method Summary
`protected java.io.InputStream` | `createMIMERequest(javax.servlet.http.HttpServletRequest request, MessageContext context)`
`void` | `doService(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `generateService(javax.servlet.http.HttpServletResponse response, java.lang.String serviceName)`
`protected void` | `generateServices(javax.servlet.http.HttpServletResponse response)`
`protected void` | `generateWSDL(javax.servlet.http.HttpServletResponse response, java.lang.String service)`
`static javax.servlet.http.HttpServletRequest` | `getRequest()`
`static javax.servlet.http.HttpServletResponse` | `getResponse()`
`protected java.lang.String` | `getService(javax.servlet.http.HttpServletRequest request)` Get the service that is mapped to the specified request.
`protected Service` | `getService(java.lang.String name)`
`ServiceRegistry` | `getServiceRegistry()`
`protected TransportManager` | `getTransportManager()`
`XFire` | `getXFire()`
`protected void` | `invoke(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String service)`
`protected void` | `registerTransport()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xfire

    protected XFire xfire

### transport

    protected Transport transport

Constructor Detail

### XFireServletController

    public XFireServletController(XFire xfire)

Method Detail

### registerTransport

    protected void registerTransport()

### getRequest

    public static javax.servlet.http.HttpServletRequest getRequest()

### getResponse

    public static javax.servlet.http.HttpServletResponse getResponse()

### getTransportManager

    protected TransportManager getTransportManager()

### doService

    public void doService(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`
  See Also:
    `HttpServlet.doGet(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`

### generateService

    protected void generateService(javax.servlet.http.HttpServletResponse response,
                                   java.lang.String serviceName)
                            throws javax.servlet.ServletException,
                                   java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### generateServices

    protected void generateServices(javax.servlet.http.HttpServletResponse response)
                             throws javax.servlet.ServletException,
                                    java.io.IOException

  Parameters:
    `response` -
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### invoke

    protected void invoke(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response,
                          java.lang.String service)
                   throws javax.servlet.ServletException,
                          java.io.IOException,
                          java.io.UnsupportedEncodingException

  Parameters:
    `request` -
    `response` -
    `service` -
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`
    `java.io.UnsupportedEncodingException`

### createMIMERequest

    protected java.io.InputStream createMIMERequest(javax.servlet.http.HttpServletRequest request,
                                                    MessageContext context)
                                             throws javax.mail.MessagingException,
                                                    java.io.IOException

  Throws:
    `javax.mail.MessagingException`
    `java.io.IOException`

### generateWSDL

    protected void generateWSDL(javax.servlet.http.HttpServletResponse response,
                                java.lang.String service)
                         throws javax.servlet.ServletException,
                                java.io.IOException

  Parameters:
    `response` -
    `service` -
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getService

    protected java.lang.String getService(javax.servlet.http.HttpServletRequest request)

  Get the service that is mapped to the specified request.

### getService

    protected Service getService(java.lang.String name)

### getXFire

    public XFire getXFire()

### getServiceRegistry

    public ServiceRegistry getServiceRegistry()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.